package main

import (
	"fmt"

	"gitea.voser.cloud/Container/iwilldie/src/api"
	"gitea.voser.cloud/Container/iwilldie/src/helper"
	"github.com/gin-gonic/gin"
)

func main() {
	helper.Loadenv()
	helper.Printenv()
	start_server()
	result := helper.Func2test(2, 16)
	fmt.Printf("The result is %d \n", result)
	stop_server()
}

// Start Server
func start_server() {
	fmt.Println("Start Server now")
	router := gin.Default()
	// Favicon
	router.StaticFile("/favicon.ico", "./assets/favicon.ico")
	// Return the current health of the container (OK => Healthy)
	router.GET("/api/health", api.GET_health)
	// Return the current config for the container (TTL, Max/Min TTL, Hardfail, IP, Hostname)
	router.GET("/api/status", api.GET_status)
	// Start Router
	router.Run("127.0.0.1:8000")
}

// Stop Server
func stop_server() {
	fmt.Println("Stop Server now")
}
